--- #definitions for YAML
- textAttribute:       '&IDA_RouteURL;'
  name: 'Route URL'
  index: 438

- instance: '&IDC_Route;'
  name: Route
  index: 434
  customTagName: 'route'
  attributes:
  - instance: '&IDA_Name;'
    customTagName: 'name'
  - instance: '&IDA_RouteURL;'
    customTagName: 'url'

- instance: '&IDC_RouteTable;'
  name: Route Table
  index: 439
  customTagName: 'routeTable'
  attributes:
  - instance: '&IDA_Name;'
    customTagName: 'name'
  relationships:
  - instance: '&IDR_Route_Table__has__Route;'
    customTagName: 'routes'

- relationship: '&IDR_Route_Table__has__Route;'
  sourceClassId: '&IDC_RouteTable;'
  type: 'has'
  destinationClassId: '&IDC_Route;'
  siblingRelationshipId: '&IDR_Route__for__Route_Table;'
  singular: no

- relationship: '&IDR_Route__for__Route_Table;'
  sourceClassId: '&IDC_Route;'
  type: 'for'
  destinationClassId: '&IDC_RouteTable;'
  siblingRelationshipId: '&IDR_Route_Table__has__Route;'
  singular: no

- relationship: '&IDR_Tenant__has__Route_Table;'
  sourceClassId: '&IDC_Tenant;'
  type: 'has'
  destinationClassId: '&IDC_RouteTable;'
  siblingRelationshipId: '&IDR_Route_Table__for__Tenant;'
  singular: yes

- relationship: '&IDR_Route_Table__for__Tenant;'
  sourceClassId: '&IDC_RouteTable;'
  type: 'for'
  destinationClassId: '&IDC_Tenant;'
  siblingRelationshipId: '&IDR_Tenant__has__Route_Table;'
  singular: no

- routeTable: '{641ea97b-a1c2-4005-9bda-c0111a254365}'
  routes:
  - instance: '{1184d102-0710-4632-bf64-6362b9485a0f}'
  - instance: '{88de14b6-53ca-4394-8500-bd4120499875}'

- route: '{1184d102-0710-4632-bf64-6362b9485a0f}'
  name: MADI Authentication Gateway Login
  url: 'madi/authgwy/{tenant}/login.htmld'

- route: '{88de14b6-53ca-4394-8500-bd4120499875}'
  name: MADI Authentication Gateway Login
  url: 'madi/authgwy/{tenant}/login.htmld'
